php_疑难解惑、常见问题_站长网_第20页
当前位置:编程学习 > php > >>
站长资源库提供php编程学习、疑难处理、技术方案,当前第20页

网管注意 PHP 5.2.5之前版本多个安全漏洞

发布日期:2007-11-08 更新日期:2007-11-13 受影响系统: php(做为现在的主流开发语言) php(做为现在的主流开发语言) < 5.2.5 不受影响系统: php(做为现在的主流开发语言) php(做为现在的主流

用Suhosin加强PHP脚本语言安全性

  php(做为现在的主流开发语言)是一种非常流行的网站脚本语言,但是它本身所固有的安全性是非常薄弱。本文讲述了php(做为现在的主流开发语言)增强计划(Hardened-php(做为现在的主流开发语言) project)和新的Suhosi

用PHP 4.2书写安全的脚本

原著:Kevin Yank  转自:www.linuxforum.net (恭喜再此开通)在很长一段时间内,php(做为现在的主流开发语言)作为服务器端脚本语言的最大卖点之一就是会为从表单提交的值自动

PHPShop存在多个安全漏洞

  受影响系统:  php(做为现在的主流开发语言)Shop php(做为现在的主流开发语言)Shop 0.6.1-b  详细描述:  php(做为现在的主流开发语言)Shop是一款基于php(做为现在的主流开发语言)的电子商务程序,可方便

PHP安全配置

摘要web服务器的安装问题是一个非常现实的问题,我们发现对于php(做为现在的主流开发语言)有很多的安全问题存在。这里我们就转一篇国内著名安全站点的关于php(做为现在的主流开发语言)安装的文章。希望你看后能把web服务器加固!(2003-

向普通人加密 用PHP程序保护数据

在这个日渐虚拟的互联网世界中,您必须小心保护自已的数据。本文将介绍编码和加密一些重要信息(比如密码、信用卡号、甚至整个消息)的基础知识。并通过使用 php(做为现在的主流开发语言) 的内置功能,了解加密和解密信息的意义,并且将

php处理Session时的不足将导致代码注入并执行

 php在处理session时内核会用到php_var_unserialize(),在这之前对传进来的变量会先做默认的两种特殊字符(!和|)判断,一定情况下构造特殊的变量名和值到php_var_unserialize()能执行我们

和php有关的几种常见安全详解

  防御PHP木马攻击的技巧  PHP本身再老版本有一些问题,比如在 php4.3.10和php5.0.3以前有一些比较严重的bug,所以推荐使用新版。另外,目前闹的轰轰烈烈的SQL   Injection也是在PHP上有很多利用方式,所以

通过对服务器端特性的配置加强php的安全

作者:san < xuzhikun@nsfocus.com > 主页:http://www.nsfocus.com 日期:2001-11-15     前面象Shaun Clowes和rf

确保php应用程序的安全-不能违反的四条安全规则

规则 1:绝不要信任外部数据或输入关于 Web 应用程序安全性,必须认识到的第一件事是不应该信任外部数据。外部数据(outside data) 包括不是由程序员在 PHP 代码中直接输入的任何数据。在采取措施确保安全之前,来自任何其他来源(

PHP安全基础原则与方法

原则:1.2.1. 深度防范       深度防范原则是安全专业人员人人皆知的原则,它说明了冗余安全措施的价值,这是被历史所证明的。    

编写安全 PHP 应用程序的七个习惯

PHP 应用程序中的安全性包括远程安全性和本地安全性。本文将揭示 PHP 开发人员在实现具有这两种安全性的 Web 应用程序时应该养成的习惯。在提及安全性问题时,需要注意,除了实际的平台和操作系统安全性问题之外,您还需要确保编写安全的
首页上一页1...1617181920下一页尾页转到页跳至
CopyRight © 2012 站长网 编程知识问答 www.zzzyk.com All Rights Reserved
部份技术文章来自网络,